Name:          python-typing_extensions
Version:       4.11.0
Release:       1mamba
Summary:       https://pypi.org/project/typing-extensions/
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/typing-extensions/
Source:        https://pypi.debian.net/typing-extensions/typing_extensions-%{version}.tar.gz
License:       Python Software Foundation License
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python-flit_core-py3
BuildRequires: python-flit_core-py310

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n typing_extensions-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --wheel --skip-dependency-check --no-isolation

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%{__python} -m installer --destdir="%{buildroot}" dist/*.whl

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/typing_extensions-%{version}.dist-info
%{python_sitelib}/typing_extensions-%{version}.dist-info/*
%{python_sitelib}/__pycache__/typing_extensions.cpython-*.pyc
%{python_sitelib}/typing_extensions.py
%doc LICENSE

%changelog
* Sun Apr 07 2024 Automatic Build System <autodist@openmamba.org> 4.11.0-1mamba
- automatic version update by autodist

* Mon Feb 26 2024 Automatic Build System <autodist@openmamba.org> 4.10.0-1mamba
- automatic version update by autodist

* Sun Dec 10 2023 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Tue Sep 19 2023 Automatic Build System <autodist@mambasoft.it> 4.8.0-1mamba
- automatic version update by autodist

* Mon Jul 03 2023 Automatic Build System <autodist@mambasoft.it> 4.7.1-1mamba
- automatic version update by autodist

* Thu Jun 29 2023 Automatic Build System <autodist@mambasoft.it> 4.7.0-1mamba
- automatic version update by autodist

* Fri Jun 02 2023 Automatic Build System <autodist@mambasoft.it> 4.6.3-1mamba
- automatic version update by autodist

* Fri May 26 2023 Automatic Build System <autodist@mambasoft.it> 4.6.2-1mamba
- automatic version update by autodist

* Wed May 24 2023 Automatic Build System <autodist@mambasoft.it> 4.6.1-1mamba
- automatic version update by autodist

* Tue May 23 2023 Automatic Build System <autodist@mambasoft.it> 4.6.0-1mamba
- automatic version update by autodist

* Tue Apr 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.0-2mamba
- don't require python-typing-py* internally provided since python 3.5

* Thu Feb 16 2023 Automatic Build System <autodist@mambasoft.it> 4.5.0-1mamba
- automatic version update by autodist

* Fri Oct 07 2022 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Wed Sep 28 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.0-1mamba
- update to 4.3.0

* Fri Apr 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10.0.2-2mamba
- rebuilt with python 3.10

* Tue Aug 31 2021 Automatic Build System <autodist@mambasoft.it> 3.10.0.2-1mamba
- automatic version update by autodist

* Mon Aug 30 2021 Automatic Build System <autodist@mambasoft.it> 3.10.0.1-1mamba
- automatic version update by autodist

* Sun May 02 2021 Automatic Build System <autodist@mambasoft.it> 3.10.0.0-1mamba
- automatic version update by autodist

* Thu Mar 18 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.4.3-2mamba
- rebuilt with python dist deps

* Mon Jan 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.4.3-1mamba
- package created using the webbuild interface
